org.eclnt.jsfserver.rttools

## Class StreamStoreTreeUI

- java.lang.Object
- - org.eclnt.jsfserver.pagebean.PageBean
  - - org.eclnt.jsfserver.managedbean.DefaultDispatchedPageBean
    - - org.eclnt.workplace.WorkpageDispatchedPageBean
      - - org.eclnt.jsfserver.rttools.StreamStoreTreeUI

- All Implemented Interfaces:
    java.io.Serializable, IPageBean, IDynamicContentBindingObject

      public class StreamStoreTreeUI
      extends WorkpageDispatchedPageBean
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `StreamStoreTreeUI.TreeNode`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected FIXGRIDTreeBinding<StreamStoreTreeUI.TreeNode>` | `m_tree`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamStoreTreeUI(IWorkpageDispatcher workpageDispatcher)` Default constructor.
    `StreamStoreTreeUI(IWorkpageDispatcher workpageDispatcher, java.lang.String streamStoreFileRootWS, boolean withTenantManagement, java.lang.String editPage)` Special constructor when explicitly pointing the stream store to a certain file directory.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getPageName()` Name of page that is managed by the bean.
    `java.lang.String` | `getRootExpressionUsedInPage()` Inside the page definition the bean is addressed via a certain root expression - e.g.
    `FIXGRIDTreeBinding<StreamStoreTreeUI.TreeNode>` | `getTree()`
    `void` | `onRefresh(ActionEvent event)`

    - ### Methods inherited from class org.eclnt.workplace.WorkpageDispatchedPageBean

      `getOwningDispatcher, getWorkpage, getWorkpageContainer, setDispatcher`

    - ### Methods inherited from class org.eclnt.jsfserver.pagebean.PageBean

      `buildContentReplaceString, closePopup, getActualRootExpression, getPopups, initializePageBean, isInitialized, onBeforeRendering, openModalPopup, openModelessPopup, pbx, readPageLayoutXML, setActualRootExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### m_tree

          protected FIXGRIDTreeBinding<StreamStoreTreeUI.TreeNode> m_tree

  - ### Constructor Detail

    - #### StreamStoreTreeUI

          public StreamStoreTreeUI(IWorkpageDispatcher workpageDispatcher)

      Default constructor.

    - #### StreamStoreTreeUI

          public StreamStoreTreeUI(IWorkpageDispatcher workpageDispatcher,
                                   java.lang.String streamStoreFileRootWS,
                                   boolean withTenantManagement,
                                   java.lang.String editPage)

      Special constructor when explicitly pointing the stream store to a certain file directory. Currently used in the CaptainCasa tool environment only.

  - ### Method Detail

    - #### getPageName

          public java.lang.String getPageName()

      Description copied from interface: `IPageBean`
      Name of page that is managed by the bean. This can either be a static return value that stays fix for the whole lifecycle of the bean, or it may also be a value that changed - in case there are several pages that are possible to be managed by the page bean.
      Specified by:
        `getPageName` in interface `IPageBean`
      Specified by:
        `getPageName` in class `PageBean`

    - #### getRootExpressionUsedInPage

          public java.lang.String getRootExpressionUsedInPage()

      Description copied from interface: `IPageBean`
      Inside the page definition the bean is addressed via a certain root expression - e.g. "#{d.XYZBean}". The page bean management requires this expression in order to execute certain expression replacements when loading the page at runtime.
      Specified by:
        `getRootExpressionUsedInPage` in interface `IPageBean`
      Specified by:
        `getRootExpressionUsedInPage` in class `PageBean`

    - #### getTree

          public FIXGRIDTreeBinding<StreamStoreTreeUI.TreeNode> getTree()

    - #### onRefresh

          public void onRefresh(ActionEvent event)

Copyright © CaptainCasa Gmbh. All Rights Reserved.